function td(content)
   return "<td>" .. content .. "</td>"
end

function th(content)
   return "<th>" .. content .. "</th>"
end

function h2(content)
   return "<h2>" .. content .. "</h2>"
end

function tr(...)
   local ret = ""
   
   for i,s in ipairs(arg) do
      ret = ret .. s
   end
   
   return "<tr>" .. ret .. "</tr>\n"
end

function table(...)
   local ret = ""
   
   for i,s in ipairs(arg) do
      ret = ret .. s
   end
   
   return "<table>" .. ret .. "</table>\n"
end

function sensor_to_tr(sensor)
   return tr(td(sensor["name"]),
	     td(sensor["measure_last"]),
	     td(sensor["measure_min"]),
	     td(sensor["measure_max"]),
	     td(sensor["id"]))
end

str = "<html><body><h1>Psensor Monitoring Server</h1>"

if cpu and cpu["load"] then
str = str .. h2("System")
.. table(tr(th("Name"),th("Value")),
	 tr(td("CPU Usage"),td(math.ceil(100*cpu["load"]) .. "%")))
end

str = str .. h2("Sensors")
 
.. "<table>"
.. tr(th("Name"),th("Value"),th("Min"),th("Max"), th("Id"))

for i,sensor in ipairs(sensors) do 
   str = str .. sensor_to_tr(sensor) 
end


str = str .. "</table><hr /><a href='http://wpitchoune.net/psensor'>psensor-server</a></body></html>"

return str

